summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2009-06-25 16:21:32 +0000
committerNicholas Marriott <nicholas.marriott@gmail.com>2009-06-25 16:21:32 +0000
commita5830b96033a65d88bcad83596cbe8600098b048 (patch)
tree81f7efe9bff5056a177023abe6be0016908daac7 /tools
parentf17a5f1e82546e67c5aa1f4b2efd0203ff1f19b2 (diff)
Restore $Id$ and add script to do so.
Diffstat (limited to 'tools')
-rw-r--r--tools/fix-ids.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tools/fix-ids.sh b/tools/fix-ids.sh
new file mode 100644
index 00000000..66b78c26
--- /dev/null
+++ b/tools/fix-ids.sh
@@ -0,0 +1,8 @@
+# $Id: fix-ids.sh,v 1.1 2009-06-25 16:21:32 nicm Exp $
+
+for i in *.[ch] tmux.1; do
+ (head -1 $i|grep '$OpenBSD' >/dev/null) || continue
+ mv $i $i~ || exit
+ sed 's/\$OpenBSD.* \$/$Id: fix-ids.sh,v 1.1 2009-06-25 16:21:32 nicm Exp $/' $i~ >$i || exit
+ echo $i
+done